skalibs (2.14.0.0-2) unstable; urgency=medium

  * Refresh symbols file for hurd-any

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 08 Nov 2023 05:45:26 +0800

skalibs (2.14.0.0-1) unstable; urgency=medium

  * New upstream release v2.14.0.0
  * Bump SO version to 2.14
  * Generate config.mak before running dh_auto_clean
  * Refresh symbols file

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 07 Nov 2023 03:22:17 +0800

skalibs (2.13.1.1-1) unstable; urgency=medium

  * New upstream release v2.13.1.1

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 05 Apr 2023 22:59:53 +0800

skalibs (2.13.1.0-1) unstable; urgency=medium

  * New upstream release v2.13.1.0
  * Refresh symbols file

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 18 Feb 2023 21:50:20 +0800

skalibs (2.13.0.0-2) unstable; urgency=medium

  * Upload to unstable

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 17 Jan 2023 14:35:53 +0800

skalibs (2.13.0.0-1) experimental; urgency=medium

  * New upstream release v2.13.0.0
  * Update Standards-Version to 4.6.2 (no changes)
  * Bump SO version to 2.13

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 14 Jan 2023 19:21:39 +0800

skalibs (2.12.0.1-1) unstable; urgency=medium

  * New upstream release v2.12.0.1

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 16 Jul 2022 20:42:17 +0800

skalibs (2.12.0.0-2) unstable; urgency=medium

  * Upload to unstable

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 15 Jun 2022 23:00:57 +0800

skalibs (2.12.0.0-1) experimental; urgency=medium

  * New upstream release v2.12.0.0
  * Bump SO version to 2.12
  * Update Standards-Version to 4.6.1 (no changes)

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 14 Jun 2022 23:07:38 +0800

skalibs (2.11.2.0-1) unstable; urgency=medium

  * New upstream release v2.11.2.0
  * Refresh symbols file

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 11 Mar 2022 22:43:04 +0800

skalibs (2.11.1.0-1) unstable; urgency=medium

  * New upstream release v2.11.1.0
  * Refresh symbols file

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 21 Dec 2021 23:07:59 +0800

skalibs (2.11.0.0-2) unstable; urgency=medium

  * Upload to unstable
  * Refresh symbols for hurd

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 08 Oct 2021 22:47:21 +0800

skalibs (2.11.0.0-1) experimental; urgency=medium

  * New upstream release v2.11.0.0
  * Bump SO version to 2.11

 -- Shengjing Zhu <zhsj@debian.org>  Mon, 27 Sep 2021 03:50:27 +0800

skalibs (2.10.0.3-1) unstable; urgency=medium

  * New upstream release v2.10.0.3
  * Update Standards-Version to 4.6.0 (no changes)

 -- Shengjing Zhu <zhsj@debian.org>  Mon, 23 Aug 2021 23:18:53 +0800

skalibs (2.10.0.2-1) unstable; urgency=medium

  * New upstream release v2.10.0.2

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 16 Feb 2021 22:41:16 +0800

skalibs (2.10.0.1-1) unstable; urgency=medium

  * New upstream release v2.10.0.1

 -- Shengjing Zhu <zhsj@debian.org>  Thu, 21 Jan 2021 15:33:03 +0800

skalibs (2.10.0.0-1) experimental; urgency=medium

  * New upstream release v2.10.0.0
  * Bump SO version to 2.10
  * Bump Standards-Version to 4.5.1 (no changes)

 -- Shengjing Zhu <zhsj@debian.org>  Mon, 11 Jan 2021 10:24:26 +0800

skalibs (2.9.3.0-1) unstable; urgency=medium

  * New upstream release v2.9.3.0
  * Bump debhelper-compat to 13
  * Add new symbol to libskarnet2.9.symbols

 -- Shengjing Zhu <zhsj@debian.org>  Mon, 05 Oct 2020 13:51:30 +0800

skalibs (2.9.2.1-1) unstable; urgency=medium

  * New upstream release v2.9.2.1
  * Remove patch applied in new release

 -- Shengjing Zhu <zhsj@debian.org>  Mon, 06 Apr 2020 21:08:38 +0800

skalibs (2.9.2.0-3) unstable; urgency=medium

  * Add patch to fix s6 FTBFS on hurd

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 21 Mar 2020 21:55:53 +0800

skalibs (2.9.2.0-2) unstable; urgency=medium

  * Fix symbols on hurd

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 14 Mar 2020 20:17:07 +0800

skalibs (2.9.2.0-1) unstable; urgency=medium

  * New upstream release v2.9.2.0
  * Update Standards-Version to 4.5.0 (no changes)
  * Remove 0001-fix-library-symlink-referencing.patch
  * Update symbols for 2.9.2.0

 -- Shengjing Zhu <zhsj@debian.org>  Sun, 08 Mar 2020 04:40:17 +0800

skalibs (2.9.1.0-4) unstable; urgency=medium

  * Add --fatal-warnings to all architectures.
    Hurd also has false positive without this option

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 23 Oct 2019 22:51:29 +0800

skalibs (2.9.1.0-3) unstable; urgency=medium

  * Fix guessing system features on kfreebsd, fail with link warning

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 23 Oct 2019 02:30:24 +0800

skalibs (2.9.1.0-2) unstable; urgency=medium

  * Add patch to fix build on kfreebsd-any

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 23 Oct 2019 00:08:45 +0800

skalibs (2.9.1.0-1) unstable; urgency=medium

  * New Upstream release v2.9.1.0
  * Revert build hack for hurd-i386, fixed in upstream new release
  * Update symbols for new version

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 22 Oct 2019 22:49:44 +0800

skalibs (2.9.0.0-4) unstable; urgency=medium

  * Fix build issue on hurd-i386

 -- Shengjing Zhu <zhsj@debian.org>  Mon, 14 Oct 2019 03:36:12 +0800

skalibs (2.9.0.0-3) unstable; urgency=medium

  * Fix libskarnet symbols on kfreebsd-any

 -- Shengjing Zhu <zhsj@debian.org>  Mon, 14 Oct 2019 00:13:14 +0800

skalibs (2.9.0.0-2) unstable; urgency=medium

  * Bump Standards-Version to 4.4.1 (no changes)
  * Release v2.9.0.0 to sid

 -- Shengjing Zhu <zhsj@debian.org>  Sun, 13 Oct 2019 17:34:22 +0800

skalibs (2.9.0.0-1) experimental; urgency=medium

  * New Upstream release v2.9.0.0
  * debian/rules: fix cross build
  * Bump SO version to 2.9

 -- Shengjing Zhu <zhsj@debian.org>  Mon, 23 Sep 2019 13:56:03 +0800

skalibs (2.8.1.0-2) sid; urgency=medium

  * Rebuild for sid

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 13 Aug 2019 22:50:03 +0800

skalibs (2.8.1.0-1) experimental; urgency=medium

  * New upstream release v2.8.1.0
  * Override dh_auto_configure with -arch suffix
    Fix -indep override not working
  * Bump SO version to 2.8
  * Bump debhelper to 12
  * debian/control: update Standards-Version to 4.4.0 (no changes)

 -- Shengjing Zhu <zhsj@debian.org>  Sun, 11 Aug 2019 21:39:44 +0800

skalibs (2.7.0.0-2) unstable; urgency=medium

  * Install header files to Multi-Arch dir.
  * Update my email to zhsj@debian.org.

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 01 Sep 2018 19:16:19 +0800

skalibs (2.7.0.0-1) experimental; urgency=medium

  * New Maintainer. (Closes: #907093)
  * New upstream release 2.7.0.0.

 -- Shengjing Zhu <i@zhsj.me>  Sun, 26 Aug 2018 21:32:19 +0800

skalibs (0.47-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * d/rules: add missing build-arch and build-indep targets.
    Thanks to Santiago Vila for the patch.  Closes: #832510
  * Make the build reproducible by sorting the md5sums file.
    Thanks to Valerie R Young for the patch.  Closes: #847030
  * d/control: move the homepage to the Homepage field.

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 08 Mar 2017 16:24:06 +0100

skalibs (0.47-1) unstable; urgency=low

  * new upstream version.
  * debian/control: Standards-Version: 3.8.4.0.

 -- Gerrit Pape <pape@smarden.org>  Mon, 19 Apr 2010 22:32:27 +0000

skalibs (0.46-1) unstable; urgency=low

  * debian/implicit: update to a09db2e42c8b6a2d820754d741558e5894944746.
  * new upstream version.
  * switch from tarball-in-tarball to original upstream tarball.
  * debian/rules: target unpack: rename to configure:; instead of unpacking
    copy sources for build against dietlibc; adapt build:, clean:, install:
    targets.
  * debian/control: remove duplicate Architecture: field (closes: #464299).
  * debian/control: Standards-Version: 3.7.3.0.
  * debian/skalibs-doc.docs: adapt paths.
  * debian/rules: don't have upstream build process strip libraries.

 -- Gerrit Pape <pape@smarden.org>  Wed, 06 Feb 2008 10:59:19 +0000

skalibs (0.45-2) unstable; urgency=low

  * debian/control: add Build-Depends: dietlibc-dev [ppc64].
  * debian/rules: add ppc64 to DIET_ARCHS.

 -- Gerrit Pape <pape@smarden.org>  Sun, 13 Mar 2005 14:12:15 +0000

skalibs (0.45-1) unstable; urgency=low

  * new upstream version.
  * debian/copyright: minor.

 -- Gerrit Pape <pape@smarden.org>  Sun, 13 Feb 2005 17:52:54 +0000

skalibs (0.44-1) unstable; urgency=low

  * new upstream version.
  * debian/implicit: update to revision 1.10.
  * debian/skalibs-doc.docs: use generic pathnames.
  * debian/rules: minor cleanup.

 -- Gerrit Pape <pape@smarden.org>  Fri,  5 Nov 2004 17:37:32 +0000

skalibs (0.43-2) unstable; urgency=low

  * debian/rules: install sysdeps in /usr/include/skalibs/sysdeps/ and
    /usr/include/diet/skalibs/sysdeps/; install libraries into
    /usr/lib/diet/lib/; shorten architecture-check; use -g -O2; strip
    libraries; minor.
  * debian/control: Build-Depends: dietlibc-dev (>= 0.26-3) +[amd64].
  * debian/skalibs-dev.README.Debian: minor.

 -- Gerrit Pape <pape@smarden.org>  Mon, 21 Jun 2004 17:20:26 +0000

skalibs (0.43-1) unstable; urgency=low

  * new upstream version.

 -- Gerrit Pape <pape@smarden.org>  Mon, 19 Apr 2004 08:12:40 +0000

skalibs (0.42-1) unstable; urgency=low

  * new upstream version.

 -- Gerrit Pape <pape@smarden.org>  Sun, 11 Apr 2004 11:45:06 +0000

skalibs (0.41-1) unstable; urgency=low

  * new upstream version.
  * debian/implicit: update to revision 1.8.

 -- Gerrit Pape <pape@smarden.org>  Sat,  3 Apr 2004 15:55:28 +0000

skalibs (0.40-1) unstable; urgency=low

  * initial debian package (closes: #231936).

 -- Gerrit Pape <pape@smarden.org>  Tue, 17 Feb 2004 10:01:02 +0000
